'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.requestQueue = exports.queueRequest = exports.errorActionType = exports.successActionType = exports.getRequest = exports.fetchingReducerCreator = undefined;

var _request = require('./request');

Object.defineProperty(exports, 'getRequest', {
  enumerable: true,
  get: function get() {
    return _request.getRequest;
  }
});
Object.defineProperty(exports, 'successActionType', {
  enumerable: true,
  get: function get() {
    return _request.successActionType;
  }
});
Object.defineProperty(exports, 'errorActionType', {
  enumerable: true,
  get: function get() {
    return _request.errorActionType;
  }
});

var _requestQueue = require('./requestQueue');

Object.defineProperty(exports, 'queueRequest', {
  enumerable: true,
  get: function get() {
    return _requestQueue.queueRequest;
  }
});
Object.defineProperty(exports, 'requestQueue', {
  enumerable: true,
  get: function get() {
    return _requestQueue.requestQueue;
  }
});
exports.offlineRequestsSagas = offlineRequestsSagas;

var _effects = require('redux-saga/effects');

var _requestQueue2 = require('./requestQueue/requestQueue.sagas');

var _fetchingReducerCreator2 = require('./fetchingReducerCreator');

var _fetchingReducerCreator3 = _interopRequireDefault(_fetchingReducerCreator2);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var _marked = /*#__PURE__*/regeneratorRuntime.mark(offlineRequestsSagas);

exports.fetchingReducerCreator = _fetchingReducerCreator3.default;
function offlineRequestsSagas() {
  return regeneratorRuntime.wrap(function offlineRequestsSagas$(_context) {
    while (1) {
      switch (_context.prev = _context.next) {
        case 0:
          _context.next = 2;
          return (0, _effects.all)([(0, _effects.spawn)(_requestQueue2.requestQueueSagas)]);

        case 2:
        case 'end':
          return _context.stop();
      }
    }
  }, _marked, this);
}