"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

var successActionType = exports.successActionType = function successActionType(actionType) {
  return actionType + "_SUCCESS";
};
var requestSuccess = exports.requestSuccess = function requestSuccess(type, params) {
  return _extends({
    type: successActionType(type)
  }, params);
};

var errorActionType = exports.errorActionType = function errorActionType(actionType) {
  return actionType + "_ERROR";
};
var requestError = exports.requestError = function requestError(type, error, params) {
  return _extends({
    type: errorActionType(type),
    error: error.message
  }, params);
};