'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
var QUEUE_REQUEST = exports.QUEUE_REQUEST = 'QUEUE_REQUEST';
var queueRequestAction = exports.queueRequestAction = function queueRequestAction(relatedAction) {
  return {
    type: QUEUE_REQUEST,
    id: relatedAction.id,
    relatedAction: relatedAction
  };
};

var EXECUTE_QUEUE = exports.EXECUTE_QUEUE = 'EXECUTE_QUEUE';
var executeQueueAction = exports.executeQueueAction = { type: EXECUTE_QUEUE };

var DEQUEUE_REQUEST = exports.DEQUEUE_REQUEST = 'DEQUEUE_REQUEST';
var dequeueRequest = exports.dequeueRequest = function dequeueRequest(id) {
  return {
    type: DEQUEUE_REQUEST,
    id: id
  };
};